# Shopify Transporter

`shopify_transporter` is a command-line tool that offers capabilities to extract and convert data from third-party platforms into a Shopify-friendly format.

This format can then be imported into Shopify via the [Transporter app](https://help.shopify.com/manual/migrating-to-shopify/transporter-app).

`shopify_transporter` offers built-in support for migrations from Magento (version 1), as well as providing support for you to write your own transformations for other platforms.

*Note: the Transporter app is available to Shopify Plus plans only.*

## Basic usage

Here's how you can get started migrating a store from a third-party platform onto Shopify using the Transporter suite of tools.

  1. Follow the [Getting started](https://github.com/Shopify/shopify_transporter/wiki/Getting-started) guide to install the necessary requirements.
  2. [Create a new project](https://github.com/Shopify/shopify_transporter/wiki/Create-a-new-project) for the source store.
  3. [Extract data](https://github.com/Shopify/shopify_transporter/wiki/Extract-data) from your source store.
  4. [Convert the extracted data](https://github.com/Shopify/shopify_transporter/wiki/Convert-data) into a Shopify-formatted CSV file.
  5. Use the [Transporter app](https://help.shopify.com/manual/migrating-to-shopify/transporter-app) to import the Shopify-formatted CSV file into a Shopify store

## Submitting Issues

Please open an issue here if you encounter a specific bug with this library or if something is documented
incorrectly.

Before filing an issue, please ensure that:

- The issue is not already covered in another open issue
- The issue does not contain any confidential or personally identifiable information
- The issue is specifically regarding the `shopify_transporter` gem and not related to the Transporter App.

## Contributing

If you'd love to see a particular feature as part of `shopify_transporter`, submit a pull request adding that feature!

Please read our [contribution guidelines](https://github.com/Shopify/shopify_transporter/wiki/Contributing) before submitting a pull request.

## License 

`shopify_transporter` is listed under the MIT license. See [LICENSE.md](https://github.com/Shopify/shopify_transporter/blob/master/LICENSE) for more details.

